Package org.silverpeas.mobile.client.apps.documents.events.app

## Class DocumentsLoadPublicationEvent

- java.lang.Object
- - com.google.web.bindery.event.shared.Event<H>
  - - com.google.gwt.event.shared.GwtEvent<DocumentsAppEventHandler>
    - - org.silverpeas.mobile.client.apps.documents.events.app.AbstractDocumentsAppEvent
      - - org.silverpeas.mobile.client.apps.documents.events.app.DocumentsLoadPublicationEvent

-     public class DocumentsLoadPublicationEvent
      extends AbstractDocumentsAppEvent

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

      `com.google.gwt.event.shared.GwtEvent.Type<H extends Object>`

  - ### Field Summary

    - ### Fields inherited from class org.silverpeas.mobile.client.apps.documents.events.app.AbstractDocumentsAppEvent

      `TYPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DocumentsLoadPublicationEvent​(ContentDTO content)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `dispatch​(DocumentsAppEventHandler handler)` |
    `ContentDTO` | `getContent()` |

    - ### Methods inherited from class org.silverpeas.mobile.client.apps.documents.events.app.AbstractDocumentsAppEvent

      `getAssociatedType`

    - ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

      `assertLive, getSource, isLive, kill, revive`

    - ### Methods inherited from class com.google.web.bindery.event.shared.Event

      `setSource, toDebugString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DocumentsLoadPublicationEvent

          public DocumentsLoadPublicationEvent​(ContentDTO content)

  - ### Method Detail

    - #### dispatch

          protected void dispatch​(DocumentsAppEventHandler handler)

      Specified by:
        `dispatch` in class `com.google.gwt.event.shared.GwtEvent<DocumentsAppEventHandler>`

    - #### getContent

          public ContentDTO getContent()